Find
Date: 2015-09-17

org.easymock.internal.matchers

## Class Find

- java.lang.Object
- - org.easymock.internal.matchers.Find

- All Implemented Interfaces:
    java.io.Serializable, IArgumentMatcher

      public class Find
      extends java.lang.Object
      implements IArgumentMatcher, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Find(java.lang.String regex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendTo(java.lang.StringBuffer buffer)` Appends a string representation of this matcher to the given buffer.
    `boolean` | `matches(java.lang.Object actual)` Returns whether this matcher accepts the given argument.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Find

          public Find(java.lang.String regex)

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.Object actual)

      Description copied from interface: `IArgumentMatcher`
      Returns whether this matcher accepts the given argument.

      Like Object.equals(), it should be aware that the argument passed might be null and of any type. So you will usually start the method with an instanceof and/or null check.

      The method should never assert if the argument doesn't match. It should only return false. EasyMock will take care of asserting if the call is really unexpected.

      Specified by:
        `matches` in interface `IArgumentMatcher`
      Parameters:
        `actual` - the argument
      Returns:
        whether this matcher accepts the given argument.

    - #### appendTo

          public void appendTo(java.lang.StringBuffer buffer)

      Description copied from interface: `IArgumentMatcher`
      Appends a string representation of this matcher to the given buffer. In case of failure, the printed message will show this string to allow to know which matcher was used for the failing call.
      Specified by:
        `appendTo` in interface `IArgumentMatcher`
      Parameters:
        `buffer` - the buffer to which the string representation is appended.